shibboleth-3.5.0

Public Types | Public Member Functions | List of all members
shibsp::CGIParser Class Reference

CGI GET/POST parameter parsing. More...

`#include <shibsp/util/CGIParser.h>`

## Public Types
typedef std::multimap< std::string, char * >::const_iterator | walker
| Alias for multimap iterator.

## Public Member Functions
| CGIParser (const xmltooling::HTTPRequest &request, bool queryOnly=false)
| Constructor. More...
std::pair< walker, walker > | getParameters (const char *name) const
| Returns a pair of bounded iterators around the values of a parameter. More...

## Detailed Description

CGI GET/POST parameter parsing.

## Constructor & Destructor Documentation

## ◆ CGIParser()

shibsp::CGIParser::CGIParser | ( | const xmltooling::HTTPRequest & | request,
|  | bool | queryOnly = `false`
| ) |  |

Constructor.

Parameters

  request | HTTP request interface
  queryOnly | true iff the POST body should be ignored

## Member Function Documentation

## ◆ getParameters()

std::pair< walker, walker > shibsp::CGIParser::getParameters | ( | const char * | name | ) | const

Returns a pair of bounded iterators around the values of a parameter.

Parameters

  name | name of parameter, or nullptr to return all parameters

Returns
  a pair of multimap iterators surrounding the matching value(s)

The documentation for this class was generated from the following file:

- shibsp/util/CGIParser.h